<?php

namespace Lc\CaracoleBundle\Definition\Field\PointSale;

use EasyCorp\Bundle\EasyAdminBundle\Field\IntegerField;
use EasyCorp\Bundle\EasyAdminBundle\Field\TextEditorField;
use EasyCorp\Bundle\EasyAdminBundle\Field\TextField;
use Lc\CaracoleBundle\Field\Address\AddressField;
use Lc\SovBundle\Definition\Field\AbstractFieldDefinition;
use Lc\SovBundle\Field\StatusField;

class PointSaleFieldDefinition extends AbstractFieldDefinition
{

    public function configureIndex(): array
    {
        return [
                'id',
                'title',
                'status'
        ];
    }

    public function configurePanels(): array
    {
        return [
                'main',
                'address',
                'seo',
                'conf',
        ];
    }

    public function configurePanelMain(): array
    {
        return [
                'title',
                'description',
                'status'
        ];
    }

    public function configurePanelAddress(): array
    {
        return [
                'address'
        ];
    }

    public function configureFields(): array
    {
        return [
                'id' => IntegerField::new('id')->setSortable(true)->onlyOnIndex(),
                'title' => TextField::new('title')->setSortable(true),
                'description' => TextEditorField::new('description'),
                'status' => StatusField::new('status')->setSortable(true),
                'address' => AddressField::new('address')
                        ->setRequired(true),
        ];
    }

}
